# RMF #

The library provides support for the RMF file format for
storing hierarchical molecular data (such as atomic or coarse grained
representations of proteins), along with markup, including geometry
and score data.

If [HDF5](http://www.hdf5.org) is available, wrappers for it will be
built and support for older RMF-based formats will be compiled.

See
- [RMF viewers](\ref viewing) for more information about viewing RMF files,
- [RMF file format](\ref format) for more information about the files,
- [RMF Library](\ref library) for more information about using the library.
- [Mapping data into RMF files](\ref mapping) for more information about how to structure data in RMF files.

Also see the [rmf examples](http://www.github.com/salilab/rmf_examples) repository
for examples of interesting or problematic RMF files.

Copyright 2007-2014 IMP Inventors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0
